package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.system.source.SysSourceDto;
import com.crm.rely.backend.core.entity.system.source.SysSourceAddEntity;
import com.crm.rely.backend.core.entity.system.source.SysSourceDeleteEntity;
import com.crm.rely.backend.core.entity.system.source.SysSourceSearchPageEntity;
import com.crm.rely.backend.core.entity.system.source.SysSourceUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface SysSourceService {
    SysSourceDto searchSingle(Long id) throws ServiceException;

    ResultWithPagerDto<SysSourceDto> pageSearchList(SysSourceSearchPageEntity entity) throws ServiceException;

    void add(SysSourceAddEntity entity) throws ServiceException;

    void update(SysSourceUpdateEntity entity) throws ServiceException;

    void delete(SysSourceDeleteEntity entity) throws ServiceException;

    List<SysSourceDto> getAllSource() throws ServiceException;
}
